SELECT Код_назначения_арматуры INTO #TmpTable FROM Справочник_назначений_арматуры
SET IDENTITY_INSERT Справочник_назначений_арматуры ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 1) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (1,'подвес для провода')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 2) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (2,'подвес для троса')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 3) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (3,'натяжение провода')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 4) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (4,'натяжение троса')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 5) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (5,'соединитель в пролете')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 6) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (6,'соединитель в петле')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 7) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (7,'соединитель для троса')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 8) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (8,'гаситель пляски')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 9) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (9,'дистанционная распорка')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_назначения_арматуры = 10) INSERT INTO Справочник_назначений_арматуры (Код_назначения_арматуры,Описание) VALUES (10,'груз')

SET IDENTITY_INSERT Справочник_назначений_арматуры OFF
DROP TABLE #TmpTable
